Get applications

Returns a paginated list of applications matching the specified filters. Filter by state, template_id, class, campus, or date ranges for started, submitted, and unsubmitted applications. Combine filter[context][id] and filter[context][state] to pull applications for candidates at a specific lifecycle stage in a specific class.

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    Maximum number of objects to return. Range: 1–1000.

  • skip
    Type: integer
    min:  
    0

    Number of objects to skip for pagination.

  • state
    Type: string

    A filter on the list based on the state of the application.

    Allowed Values: started, submitted

  • template_id
    Type: string

    Filter by the application template id to retrieve applications for a specific application template. It is only possible to pass a single id.

  • filter[context][id]
    Type: string

    Filter for applications which have at least one associated context with specified context ids e.g. ["5a81b590d1b7644cfe0000b6","5a81b590d1b7644cfe000d85"].

  • filter[context][state]
    Type: string

    Filter by applications which have at least one associated context which matches specified profile lifecycle states e.g. ["prospect::started_application","prospect::cold"]

  • filter[context][campus_id]
    Type: string

    Filter by applications which have at least one associated context for specified campus ids e.g. ["5b3268ee61a5b01972000456","5b3268ee61a5b01972000897"]

  • last_updated_after
    Type: string

    Filter by application last updated at date in iso 8601

  • last_updated_before
    Type: string

    Filter by application last updated at date in iso 8601

  • started_after
    Type: string

    Filter by application start date in iso 8601

  • started_before
    Type: string

    Filter by application start date in iso 8601

  • submitted_after
    Type: string

    Filter by application submission date in iso 8601

  • submitted_before
    Type: string

    Filter by application submission date in iso 8601

  • unsubmitted_after
    Type: string

    Filter by application unsubmission date in iso 8601

  • unsubmitted_before
    Type: string

    Filter by application unsubmission date in iso 8601

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/applics/applics
curl 'https://school.fullfabric.cloud/apis/applics/applics?limit=10&skip=0&state=&template_id=&filter[context][id]=&filter[context][state]=&filter[context][campus_id]=&last_updated_after=&last_updated_before=&started_after=&started_before=&submitted_after=&submitted_before=&unsubmitted_after=&unsubmitted_before=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6385bb5d976a77191200475f",
    "profile_id": "6385bdd4976a7719120108e9",
    "template_id": "6385bb46976a771912003e6b",
    "template_type": "application",
    "context_id": "6385bb46976a771912003e6a",
    "context_type": "Institutions::ClassOf",
    "associated_context_ids": [],
    "state": "submitted",
    "completion": 95,
    "references": {
      "required": 2,
      "submitted": 1
    },
    "created_at": 1708992000,
    "submitted_at": 1710892800,
    "submitted_by_id": "6385bdd4976a7719120108e9",
    "unsubmitted_at": null,
    "started_at": 1708992000,
    "started_by_id": "6385bdd4976a7719120108e9",
    "last_updated_at": 1710892800
  },
  {
    "id": "6385bb5e976a77191200478a",
    "profile_id": "6385baa7976a7719120005dc",
    "template_id": "63a317fd9a52af198700007f",
    "context_id": "63a317fd9a52af198700007e",
    "context_type": "Institutions::ClassOf",
    "associated_context_ids": [],
    "state": "started",
    "created_at": 1710000000,
    "submitted_at": null,
    "submitted_by_id": null,
    "unsubmitted_at": null,
    "started_at": 1710000000,
    "started_by_id": "6385baa7976a7719120005dc",
    "last_updated_at": 1710000000
  }
]